import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:kmobile/src/preferences/preferences_provider.dart';
import 'package:provider/provider.dart';
import 'di/injection.dart';
import 'app.dart';

void main() async {
  WidgetsFlutterBinding.ensureInitialized();

  // Set preferred orientations
  await SystemChrome.setPreferredOrientations([
    DeviceOrientation.portraitUp,
    DeviceOrientation.portraitDown,
  ]);

  // Initialize dependencies
  await setupDependencies();

  runApp(MultiProvider(providers: [
    ChangeNotifierProvider(create: (_) => PreferencesProvider()),
  ], child: const KMobile()));
}
